Page MenuHomePhabricator

Requesting access researchers, statistics-privatedata-users, and analytics-privatedata-users for Zareen
Closed, ResolvedPublic

Description

Username: zareen
Full name: Zareen Farooqui
Public SSH:ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQD8giXsRrle7aLzTJHUEJuCZqn0eSQbTf3skLk7IRyKAc6ZtVmU+kW0pKO3vTxAigPTr/oo4LPS9RKmIQXhbzFDiPhYom+Clx8D5cQRXfeBYMgJgjeWSVNNVixLDphPMZu5ISSFBfElaT2Yga0DCW8Whobg1T151FvGcmVB8LYSLF68i7vp56MHWwvA1h51mhvQj4rHGo1kINQxcD7Nl7ReowpdefizX52CVGx19LXJPsK4L1FFG/IyCf2py/p0BWwo0UAjcHOVTXQAY2SJxcHSot8X72opkRpu0QMoloKaHuUdBq7/dOe5FFxvIgwg1+TpmeGTb3RsX2ii9YJqm/tX ZareenFarooqui@ZAREENs-MacBook.local

I've signed the L3 and the intern/volunteer NDA.

I am requesting access to the following access groups for my internship projects with the Reading Team:
researchers
statistics-privatedata-users
analytics-privatedata-users

I've added Tilman Bayer and Jon Katz as subscribers as they are my supervisors.

Details

Related Gerrit Patches:

Event Timeline

Zareenf created this task.Oct 26 2016, 4:50 PM
Restricted Application added a project: Operations. · View Herald TranscriptOct 26 2016, 4:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

bastiononly doesn't exist. Please re-check each of your groups to decide which ones you really need.

Zareenf renamed this task from Requesting access researchers, statistics-users, analytics-users, statistics-privatedata-users, analytics-privatedata-users and bastiononly for Zareen to Requesting access researchers, statistics-users, analytics-users, statistics-privatedata-users, and analytics-privatedata-users for Zareen.Oct 26 2016, 4:53 PM
Zareenf updated the task description. (Show Details)

I also don't think you need both researchers and statistics-users simultaneously.

Zareenf added a comment.EditedOct 26 2016, 7:05 PM

@Krenair it doesn't seem like statistics-users adds any additional access than researchers so I will remove that from my request https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Production_access

Zareenf renamed this task from Requesting access researchers, statistics-users, analytics-users, statistics-privatedata-users, and analytics-privatedata-users for Zareen to Requesting access researchers, analytics-users, statistics-privatedata-users, and analytics-privatedata-users for Zareen.Oct 26 2016, 7:05 PM
Zareenf updated the task description. (Show Details)

@Krenair it is hard for me to figure out what access groups are required for what, even with the given documentation. Can you help us out? Zareen needs access to event logging and weblogs. She also needs to be able two write hadoop jobs against the weblogs or transfer event logs to hadoop for larger operations.

Krenair added a subscriber: Ottomata.EditedOct 26 2016, 10:08 PM

Yeah, this is a big mess. What I know for sure is that researchers will certainly give access to EventLogging data, among other things.

Based on https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Production_access and a bit of digging around operations/puppet:

  • Both analytics-users and analytics-privatedata-users will give access to Hadoop
  • I think full webrequest logs is only in analytics-privatedata-users? So analytics-users might be redundant?
  • statistics-privatedata-users gives researcher access (also via an extra shell server, stat1002 instead of just stat1003) and some sampled webrequest logs. So if you want sampled webrequest logs instead of full ones, I would probably suggest this instead of researchers+analytics-privatedata-users. If not, I suggest this is redundant.

@Ottomata?

researchers, statistics-privatedata-users, and analytics-privatedata-users is good enough.

Zareenf renamed this task from Requesting access researchers, analytics-users, statistics-privatedata-users, and analytics-privatedata-users for Zareen to Requesting access researchers, statistics-privatedata-users, and analytics-privatedata-users for Zareen.Oct 27 2016, 12:13 PM
Zareenf updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.Oct 29 2016, 3:40 PM

Hi @Zareenf could you please create a new SSH key for production access that is different from the key used in Wikitech/Labs and paste it here? Thank you

Change 318688 had a related patch set uploaded (by Dzahn):
admin: create shell account for Zareen Farooqui

https://gerrit.wikimedia.org/r/318688

@Dzahn here is a new SSH key for production access:

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDKJFKzMQRJcDPrtRBIi7/b8hWbngR59UA3VCHZXbWVaNCKe+mOz9gXUvmAmeSr29p5vnmAP7tafnWYktvYbqGV02e1x5P09fvAWOvOaQob/A7/5shTGwtVxsip3/Ky2viP5Kycb8THbRHOtOt0DmeUVrWlhwie5M9AeKSWmTVJOivoME8g//nIlq7cXTCYyv+NHFSDIPKDmvlLbVFFdBbhYdDWlT6DQvTPFjTAyD23pltRBDo2WwufnSZB1sQ7spg+6+SN7e2fIcRiGXv8ar8fjwiolLtNz2I5nsLoBsb6q0ZHSwOdta4EhnkmswMrjNAgo6ayImKzXMeG35dvHvZh ZareenFarooqui@ZAREENs-MacBook.local

Change 318688 merged by Dzahn:
admin: create shell account for Zareen Farooqui

https://gerrit.wikimedia.org/r/318688

Dzahn claimed this task.Oct 31 2016, 9:01 PM
Dzahn added a comment.Oct 31 2016, 9:12 PM

researchers, statistics-privatedata-users, and analytics-privatedata-users is good enough.

I am a bit confused by this comment.

The question before was " I would probably suggest this instead of researchers+analytics-privatedata-users. If not, I suggest this is redundant."

The response "Good enough" sounds like not all of them are neeed indeed but that's all the groups that were requested including the redundant one.

Change 318992 had a related patch set uploaded (by Dzahn):
admin: add zareen to *-privatedata-users, researchers

https://gerrit.wikimedia.org/r/318992

Dzahn added a comment.Oct 31 2016, 9:31 PM

Ok, I see now. It was about "analytics-users" being redundant.

Change 318992 merged by Dzahn:
admin: add zareen to *-privatedata-users, researchers

https://gerrit.wikimedia.org/r/318992

Dzahn added a comment.Oct 31 2016, 9:42 PM

Hi @Zareenf

your user has now been created and added to the groups:

researchers, statistics-privatedata-users, and analytics-privatedata-users

On the hosts stat1002.eqiad.wmnet and stat1003.eqiad.wmnet i can confirm it has been created.

This should resolve the request.

[stat1002:~] $ id zareen
uid=15813(zareen) gid=500(wikidev) groups=500(wikidev),725(statistics-privatedata-users),731(analytics-privatedata-users)

[stat1003:~] $ id zareen
uid=15813(zareen) gid=500(wikidev) groups=500(wikidev),714(researchers),725(statistics-privatedata-users)

On https://wikitech.wikimedia.org/wiki/Production_shell_access#SSH_configuration you can find docs on how to configure your ssh client to connect via the "bastion" hosts to stat1002/stat1003 behind them.

Cheers

Dzahn closed this task as Resolved.Oct 31 2016, 9:42 PM

Mentioned in SAL (#wikimedia-operations) [2016-12-07T18:03:11Z] <YuviPanda> add zareen to nda LDAP group, per https://phabricator.wikimedia.org/T149211